import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.array.for-each.js";
import "core-js/modules/es.array.push.js";
import "core-js/modules/es.object.define-properties.js";
import "core-js/modules/es.object.define-property.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/esnext.iterator.constructor.js";
import "core-js/modules/esnext.iterator.filter.js";
import "core-js/modules/esnext.iterator.for-each.js";
import "core-js/modules/web.dom-collections.for-each.js";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
import React, { useState } from 'react';
import { FcrFashionTabs, FcrTabs } from '.';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var meta = {
  title: 'Components/Tabs',
  component: FcrTabs,
  args: {
    items: [{
      label: 'Chat',
      key: 'chat'
    }, {
      label: 'Member(20)',
      key: 'member'
    }]
  }
};
export var Docs = function Docs(props) {
  var _useState = useState('chat'),
    _useState2 = _slicedToArray(_useState, 2),
    activeKey = _useState2[0],
    setActiveKey = _useState2[1];
  var handleChange = function handleChange(key) {
    setActiveKey(key);
  };
  var _useState3 = useState('setting'),
    _useState4 = _slicedToArray(_useState3, 2),
    activeKey1 = _useState4[0],
    setActiveKey1 = _useState4[1];
  var handleChange1 = function handleChange1(key) {
    setActiveKey1(key);
  };
  return /*#__PURE__*/_jsxs("div", {
    children: [/*#__PURE__*/_jsx("div", {
      style: {
        width: 400,
        marginBottom: 50
      },
      children: /*#__PURE__*/_jsx(FcrTabs, _objectSpread(_objectSpread({}, props), {}, {
        activeKey: activeKey,
        onChange: handleChange
      }))
    }), /*#__PURE__*/_jsx("div", {
      style: {
        width: 400,
        marginBottom: 50
      },
      children: /*#__PURE__*/_jsx(FcrTabs, _objectSpread(_objectSpread({}, props), {}, {
        activeKey: activeKey,
        onChange: handleChange,
        variant: "simple"
      }))
    }), /*#__PURE__*/_jsx("div", {
      style: {
        width: 600,
        marginBottom: 50
      },
      children: /*#__PURE__*/_jsx(FcrFashionTabs, {
        items: [{
          label: 'Basic Setting',
          key: 'setting'
        }, {
          label: 'Background',
          key: 'background'
        }, {
          label: 'Beauty Filter',
          key: 'filter'
        }],
        activeKey: activeKey1,
        onChange: handleChange1
      })
    })]
  });
};
export default meta;